<script>
    $('#select-kodekelas').on('change', function() {
        var val1 = this.value;
        $.getJSON(baseUrl+'/getSiswaKelas/'+val1, (result) => {
            if (result.error_code == '0') {
                let opt = '<option value="">- Pilih Siswa -</option>';
                $.each(result.data, function(i, item) {
                    opt += '<option value="'+item.id+'">'+item.nama+'</option>';
                });
                $("#select-siswa").html(opt);
            }else{
                let opt = '<option value="">- Tidak Bisa -</option>';
                $("#select-siswa").html(opt);
            }
            $("#select-siswa").select2({
                placeholder: "Pilih Siswa",
            });
        });
    });
</script>